Bug 164469 - failure to resolve any NTP host name results in 2 copies of ntpd running
failure to resolve any NTP host name results in 2 copies of ntpd running
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: ntp (Show other bugs)
4
All Linux
medium Severity medium
: ---
: ---
Assigned To: Miroslav Lichvar
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-07-27 22:35 EDT by Andre Robatino
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-06-26 10:14:46 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Andre Robatino 2005-07-27 22:35:12 EDT
Description of problem:
  Right now, resolving (0,1,2).pool.ntp.org requires a TCP DNS query, and some
of us, like me, are cursed with buggy routers that can't handle this properly. 
When all of the hosts fail to resolve, 2 copies of ntpd are running.

Version-Release number of selected component (if applicable):
ntp-4.2.0.a.20040617-8

How reproducible:
always

Steps to Reproduce:
1.  Put NTP hostnames in /etc/ntp.conf that can't be resolved (for example, the
default ones if one's router is buggy).
2.  Start ntpd.
  
Actual results:
  Two copies of ntpd running.

Expected results:
  One copy of ntpd.

Additional info:
  It would help if pool.ntp.org was configured in a more conventional way, since
a firmware update, like a BIOS update, isn't likely before hell freezes over. 
Please pass it on.  (And thanks to bug #164426, I can't even avoid using the
router as my DNS server, so there's no workaround.)
Comment 1 Andre Robatino 2005-07-28 14:28:26 EDT
  Sometime within the last 4 hours or so, the configuration for pool.ntp.org was
fixed so it responds to ordinary UDP queries again, and my ntpd starts up
properly at boot time.  Hence, triggering this bug will require replacing all of
the *.pool.ntp.org timeservers with ones that don't currently work.
Comment 2 Miroslav Lichvar 2006-06-26 10:14:46 EDT
When ntpd is processing the config file and resolving hostnames, it will fork
itself. It's probably not very nice but it's the way it works.

Note You need to log in before you can comment on or make changes to this bug.